import request from '@/utils/request'

// 分包合同列表
export function apiSubcontractingContractLists(params: any) {
    return request.get({ url: '/contract.subcontracting_contract/lists', params })
}

// 添加分包合同
export function apiSubcontractingContractAdd(params: any) {
    return request.post({ url: '/contract.subcontracting_contract/add', params })
}

// 编辑分包合同
export function apiSubcontractingContractEdit(params: any) {
    return request.post({ url: '/contract.subcontracting_contract/edit', params })
}

// 删除分包合同
export function apiSubcontractingContractDelete(params: any) {
    return request.post({ url: '/contract.subcontracting_contract/delete', params })
}

// 分包合同详情
export function apiSubcontractingContractDetail(params: any) {
    return request.get({ url: '/contract.subcontracting_contract/detail', params })
}